#navbar {
    background: var(--main-dark-blue);
}

.page-title {
    color: var(--main-dark-blue);
    height: 100%;
    padding: 8rem 0 0 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.page-title h1 {
    font-size: 5rem;
    font-family: "Playfair Display";
    padding: 0;
    margin-bottom: 5rem;
    text-align: center;
    letter-spacing: 0.1rem;
}

#pastores-container {
    margin: 7rem 0;
    height: 100vh;
}

.pastores {
    display: flex;
    color: var(--main-dark-blue);
    height: 100%;
}

.pastores .img-container {
    width: 45%;
    height: 100%;
    overflow: hidden;
    border-top-right-radius: 30px;
    border-bottom-right-radius: 30px;
    z-index: 1;
}

.img-container img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.pastores-info {
    width: 55%;
    height: 100%;
    padding: 2rem 4rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.pastores-info h1 {
    font-family: "Playfair Display";
    font-size: 3.5rem;
    margin: 0;
    padding: 0;
}

.pastores-info h3 {
    color: var(--main-light-orange);
}

.pastores-info p {
    line-height: 2.5rem;
    overflow: scroll;
}

.equipo {
    color: var(--main-dark-blue);
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: "Playfair Display";
    width: 100%;
    margin-bottom: 0;
}

.equipo h1 {
    margin-bottom: 4rem;
    margin-top: 0;
    text-align: center;
    font-size: 3.5rem;
    letter-spacing: 0.05rem;
}

.equipo .container {
    padding: 0 2rem 0 2rem;
}

.grid {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(auto-fill, minmax(min(20rem, 100%), 1fr));
    column-gap: 2rem;
    row-gap: 3rem;
}

.card {
    position: relative;
    min-height: 42rem;
    width: 100%;
    border-radius: 15px;
    overflow: hidden;
    display: flex;
    /*cursor: pointer;*/
}

.card:hover .card-image img{
    transform: scale(1.05);
}

.card-image {
    width: 100%;
    height: 80%;
    overflow: hidden;
    z-index: 1;
    background: var(--main-black);
}

.card-image img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    transition: 0.5s all;
}

.card-info {
    padding: 1rem;
    min-height: 25%;
    width: 100%;
    position: absolute;
    z-index: 0;
    bottom: 0;
    overflow: hidden;
    padding: 0 0 0 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    border: 2px solid var(--main-light-blue);
    border-radius: inherit;
    background: white;
}

.card-info h2 {
    margin: 2rem 0 0 0;
    padding: 0 1rem 0 0;
    letter-spacing: 0.03rem;
}

.card-info h4 {
    color: var(--main-light-orange);
    font-family: 'Poppins', Helvetica, Arial, Lucida, sans-serif;
    margin: 0;
    padding: 0;
}

.ministerio-link {
    color: var(--main-medium-green);
}

.ministerio-link:hover {
    text-decoration: underline;
}

/* invitation */
.invitation {
    width: 100%;
    height: 105vh;
    color: white;
    position: relative;
    z-index: -1;
    overflow: visible;
}

.invitation img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    overflow: visible;
}

.invitation div {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    justify-content: start;
    padding: 1rem;
    gap: 2rem;
    position: absolute;
    top: 10rem;
}

.invitation div h1 {
    font-size: 3.5rem;
    text-shadow: 2px 2px 7px rgba(0,0,0,0.5);
    margin: 0;
}

.invitation div h2 {
    font-size: 1.5rem;
    text-shadow: 0px 0px 6px rgba(0,0,0,0.8);
    margin: 0;
}

@media screen and (max-width: 950px) {
    #pastores-container {
        height: 90vh;
    }
}

@media screen and (max-width: 850px) {
    #pastores-container {
        height: 155vh;
    }

    .pastores {
        flex-direction: column;
    }

    .pastores .img-container {
        width: 100%;
        height: 50%;
        border-bottom-right-radius: 0px;
        border-top-left-radius: 15px;
        border-top-right-radius: 15px;
        border-bottom: 2px solid var(--main-light-blue);
    }

    .pastores-info {
        width: 100%;
        height: 50%;
        padding: 3rem 4rem 0 4rem;
    }
}

@media screen and (max-width: 600px) {
    .invitation div h1 {
        font-size: 3rem;
    }

    .invitation div h2 {
        font-size: 1.3rem;
    }
}

@media screen and (max-width: 500px) {
    .page-title h1 {
        font-size: 4rem;
    }

    #pastores-container {
        height: 100%;
    }

    .pastores .img-container {
        height: 55vh;
    }

    .pastores-info {
        height: 100%;
    }
}

@media screen and (max-width: 450px) {
    .pastores-info {
        padding: 3rem 2rem 0;
    }

    .equipo .container {
        padding: 0 1rem;
    }
}